Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jdbc.dialect.spi
Interface DialectResolver

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  AbstractDialectResolver, BasicDialectResolver, DialectResolverSet, StandardDialectResolver

    public interface DialectResolver

extends Service

Contract for determining the `Dialect` to use based on a JDBC `Connection`.

Method Summary
`Dialect` | `resolveDialect(DatabaseMetaData metaData)` Determine the `Dialect` to use based on the given JDBC `DatabaseMetaData`.

Method Detail

### resolveDialect

    Dialect resolveDialect(DatabaseMetaData metaData)
                           throws JDBCConnectionException

  Determine the `Dialect` to use based on the given JDBC `DatabaseMetaData`. Implementations are expected to return the `Dialect` instance to use, or null if the `DatabaseMetaData` does not match the criteria handled by this impl.

  Parameters:
    `metaData` - The JDBC metadata.
  Returns:
    The dialect to use, or null.
  Throws:
    `JDBCConnectionException` - Indicates a 'non transient connection problem', which indicates that we should stop resolution attempts.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.